{% extends "./index.html" %}
{% load static %}
{% block contenido %}
<div class="row">
    <div class="col-md-2">
    </div>
    <div class="col-md-8">
        <br> <br>
        <form class="" action="/procesarActualizacionTipo/" method="post" enctype="multipart/form-data" id="frm_nuevo_tipo">
            {% csrf_token %}
            <br>
            <input type="hidden" name="id_bf" value="{{tipo.id_bf}}">
            <h6>Nombre del Platillo:</h6>
            <input type="text" name="nombre_bf" id="nombre_bf" value="{{tipo.nombre_bf}}"  class="form-control" required>
            <br>
            <textarea name="descripcion_bf" id="descripcion_bf" cols="3"  class="form-control">{{tipo.descripcion_bf}}</textarea>
            <br>
            <input type="text" name="categoria_bf" id="categoria_bf" value="{{tipo.categoria_bf}}" class="form-control" required >
            <br>
            <input type="text" name="precio_bf" id="precio_bf" value="{{tipo.precio_bf}}" class="form-control" required>
            <br></br>
            <center>
                <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                <a href="{% url 'tipos' %}" name="button" class="btn btn-danger">Cancelar</a>
            </center>
        </form>
    </div>
</div>

<script type="text/javascript">
          $("#frm_nuevo_tipo").validate({
            rules:{
              "nombre_bf":{
                required:true,
                text:false
              },
              "descripcion_bf":{
                required:true
              },
              "categoria_bf":{
                required:true
              },
              "precio_bf":{
                required:true
              }
            },
            messages:{
              "nombre_bf":{
                required:"Por favor Ingrese un Tipo",
                text:"Debe ingresar solo letras"
              },
              "descripcion_bf":{
                required:"Debe Ingresar una Descripcion del Tipo"
              },
              "categoria_bf":{
                required:"Debe ingresar categoria"
              },
              "precio_bf":{
                required:"Debe ingresar un precio",
                number:"Debe ingresar solo numeros"
              }
            }
          });
        </script>


{% endblock %}
